dojo.provide("parus.balanceStatusesDialog");

dojo.require("dijit.Dialog");
dojo.require("dijit.form.Button");

dojo.require("parus.parus8");
dojo.require("parus.dialog");

dojo.declare("parus.balanceStatusesDialog", [parus.Dialog], {

  statuses: null,

  postCreate: function() {
    this.inherited(arguments);

    this.statusesGrid.attr("store", new parus.gridData({
      persistent: true,
      _data: this.statuses,
      onComplete: dojo.hitch(this, function(store, items) {
        this.statusesGrid.selection.select(0);
        this.statusesGrid.updateRow(0);
        this.statusesGrid.scrollToRow(0);
        this.statusesGrid.autoSelected = true;
      })
    }));

    this.statusesGrid.setQuery({});

  }

});